package cn.wisenergy.mapper;

import cn.wisenergy.model.app.AccountOrganization;
import cn.wisenergy.model.vo.StreetQueryVo;
import cn.wisenergy.model.vo.StreetVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AccountOrganizationMapper extends BaseMapper<AccountOrganization> {

    String getByAutoId(@Param("autoId") String autoId);

    /**
     * 根据编号，获取区域信息
     *
     * @param autoId
     * @return
     */
    AccountOrganization getAreaByAutoId(@Param("autoId") String autoId);

    /**
     * 获取所有街道区域信息
     *
     * @return
     */
    List<StreetVo> getStreetList();

    /**
     * 获取所有街道信息
     *
     * @return
     */
    List<StreetVo> getStreetByAreaIds(@Param("list") List<String> list);

    /**
     * 获取所有街道下社区信息
     *
     * @return
     */
    List<StreetVo> getByStreetId(@Param("autoId") String autoId);

    List<String> getAreaId();

    List<String> getStreet();

    List<String> getCommunity();


    List<String> getByRootId(@Param("rootId") String rootId);

    List<String> getByParentId(@Param("parentId") String parentId);

    int streetCount();

    int communityCount();

    int areaLike(@Param("areaName") String areaName);

    int communityCountByParentId(@Param("autoId") String autoId);
}
