package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Camera;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ Description   :  摄像机dao
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/3 10:33
 */
@Mapper
public interface CameraMapper extends BaseMapper<Camera> {
    int add(Camera camera);

    int modify(Camera camera);

    int delById(@Param("id") Integer id);

    List<Camera> getList(Map<String,Object> map);

    int countNumber(@Param("cameraNumber") String cameraNumber);

    /**
     * 检查编辑是否重复
     * @param cameraNumber
     * @return
     */
    int checkNumber(@Param("id")Integer id,@Param("cameraNumber") String cameraNumber);

    /**
     * 根据垃圾站id,统计该垃圾站下的摄像头数量
     * @param rubbishId 垃圾站id
     * @return 摄像头数量
     */
    int countByRubbishId(@Param("rubbishId") Integer rubbishId);

    List<Camera> getByRubbishId(@Param("rubbishId") Integer rubbishId);

    /**
     * 通过摄像机编号获取摄像机
     * @param cameraNumber
     * @return
     */
    List<Camera> getByNumber(@Param("list") List<String> cameraNumber);

    int count();
}
