package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Info0001;
import cn.wisenergy.model.vo.OrderBlackVo;
import cn.wisenergy.model.vo.OrderDetailVo;
import cn.wisenergy.model.vo.ViolationOrderVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @ Description   :  服务单dao
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 21:00
 */
@Mapper
public interface Info0001Mapper extends BaseMapper<Info0001> {
    OrderDetailVo getRetail(@Param("autoId") String autoId);

    /**
     * 统计组织下的派单数量
     *
     * @param nickName 派单人昵称
     * @return 派单数量
     */
    int sendOrderTotalByType(@Param("nickName") String nickName,
                             @Param("type") Integer type,
                             @Param("timeType") Integer timeType);


    /**
     * 统计组织下的派单数量
     *
     * @param organizationName 街道名称 or 社区名称
     * @return 派单数量
     */
    int sendOrderTotal(@Param("organizationName") String organizationName);

    /**
     * 获取督查中心违规派单排名
     *  nickName  派单人员昵称
     * @return
     */
    List<ViolationOrderVo> getAllOrder(@Param("nickName") String nickName);

    /**
     * 统计派单总数
     *
     * @param type 0、远程值守派单 1：督查中心派单
     * @return
     */
    int countSend(@Param("type") Integer type, @Param("timeType") Integer timeType);

    /**
     * 根据时间和接单人员统计派单数量
     *
     * @param createTime  派单时间
     * @return 派单数量
     */
    int countByTime(@Param("createTime") Date createTime,@Param("acceptName") String acceptName);

}
