package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Info0002;
import cn.wisenergy.model.vo.OrderBlackVo;
import cn.wisenergy.model.vo.ReceiveOrderDetailVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

@Mapper
public interface Info0002Mapper extends BaseMapper<Info0002> {
    OrderBlackVo getOrderBlack(@Param("autoId") String autoId);

    ReceiveOrderDetailVo getReceiveDetail(@Param("autoId") String autoId);

    Info0002 getByServiceAutoId(@Param("serviceAutoId") String serviceAutoId);


    /**
     * 统计组织下的派单反馈数量
     *
     * @param organizationName 街道名称 or 社区名称
     * @return 派单数量
     */
    int backOrderCount(@Param("organizationName") String organizationName);


    /**
     * 统计组织下的派单反馈数量
     *
     * @param nickName 派单人昵称
     * @param type             0、远程值守派单 1：督查中心派单
     * @return 派单数量
     */
    int backOrderCountByType(@Param("nickName") String nickName,
                             @Param("type") Integer type,
                             @Param("timeType") Integer timeType);

    /**
     * 统计反馈单总数
     *
     * @param type 0、远程值守派单 1：督查中心派单
     * @return
     */
    int countBack(@Param("type") Integer type,@Param("timeType") Integer timeType);

    /**
     * 根据时间和接单人员统计派单数量
     *
     * @param createTime  派单时间
     * @return 派单数量
     */
    int countByTime(@Param("createTime") Date createTime, @Param("acceptName") String acceptName);
}
