package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Rubbish;
import cn.wisenergy.model.vo.RubbishNameVo;
import cn.wisenergy.model.vo.RubbishQueryVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ Description   :  垃圾站dao
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/3 10:35
 */
@Mapper
public interface RubbishMapper extends BaseMapper<Rubbish> {

    int add(Rubbish rubbish);

    int modify(Rubbish rubbish);

    int delById(@Param("id") Integer id);

    int countNumber(@Param("rubbishNumber") String rubbishNumber);

    /**
     * 根据街道和社区名称统计该街道社区下的总垃圾站数量
     *
     * @param street    街道
     * @param community 社区
     * @return 总数量
     */
    int countSum(@Param("street") String street, @Param("community") String community);

    /**
     * 检查编辑是否重复
     *
     * @param rubbishNumber
     * @return
     */
    int checkNumber(@Param("id") Integer id, @Param("rubbishNumber") String rubbishNumber);

    List<RubbishNameVo> getRubbishNameList();

    Rubbish getById(@Param("id") Integer id);

    List<Rubbish> getByName(@Param("list") List<String> rubbishName);

    int count();

    int countArea(@Param("areaName") String areaName);

    List<Integer> getByAreaName(@Param("areaName") String areaName);
}
