package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  摄像头实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/2 15:50
 */
@Data
@ApiModel(value = "Camera")
@TableName("camera")
public class Camera implements Serializable {
    private static final long serialVersionUID = -8899786260212492172L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id", required = true)
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 摄像机编号
     */
    @ApiModelProperty(value = "摄像机编号", name = "camera_number", required = true)
    private String cameraNumber;

    /**
     * 摄像机序列号
     */
    @ApiModelProperty(value = "摄像机序列号", name = "device_serial", required = true)
    private String deviceSerial;

    /**
     * 摄像机验证码
     */
    @ApiModelProperty(value = "摄像机验证码", name = "validate_code", required = true)
    private String validateCode;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", name = "name", required = true)
    private String name;

    /**
     * 所属垃圾点id
     */
    @ApiModelProperty(value = "所属垃圾点id", name = "rubbish_id", required = true)
    private Integer rubbishId;

    /**
     * 督察员姓名
     */
    @ApiModelProperty(value = "督察员姓名", name = "inspector_name", required = true)
    private String inspectorName;

    /**
     * 督察员手机号
     */
    @ApiModelProperty(value = "督察员手机号", name = "inspector_phone", required = true)
    private String inspectorPhone;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度", name = "longitude")
    private String longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度", name = "latitude")
    private String latitude;

    /**
     * 状态：0：离线  1：在线
     */
    @ApiModelProperty(value = "状态：0：离线  1：在线", name = "status")
    private Integer status;

    /**
     * 是否删除 0:正常  1：删除
     */
    @ApiModelProperty(value = "是否删除 0:正常  1：删除", name = "is_delete")
    private Integer isDelete;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", name = "remark")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间", name = "update_time")
    private Date updateTime;

    /**
     * 所属垃圾点名称
     */
    @ApiModelProperty(value = "所属垃圾点名称", name = "rubbishName")
    private String rubbishName;


    //==========================一下为ffmpeg添加的字段===============================

    /**
     * 摄像机ip
     */
    @ApiModelProperty(value = "摄像机ip", name = "ip")
    private String ip;
    /**
     * 摄像机登录用户名
     */
    @ApiModelProperty(value = "摄像机登录用户名", name = "username")
    private String username;
    /**
     * 摄像机登录密码
     */
    @ApiModelProperty(value = "摄像机登录密码", name = "password")
    private String password;

}
