package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  新闻、手册实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/30 16:08
 */
@Data
@ApiModel(value = "NewContent")
public class NewContent implements Serializable {
    private static final long serialVersionUID = -1994016266729976745L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id")
    private Integer id;

    /**
     * 标题/问题
     */
    @ApiModelProperty(value = "标题/问题", name = "title")
    private String title;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容", name = "content")
    private String content;

    /**
     * 封面
     */
    @ApiModelProperty(value = "封面", name = "image")
    private String image;

    /**
     * 简介
     */
    @ApiModelProperty(value = "简介", name = "introduce")
    private String introduce;

    /**
     * 类型：1：新闻   2：手册
     */
    @ApiModelProperty(value = "类型：1：新闻   2：手册", name = "type")
    private Integer type;

    /**
     * 图文素材mediaId
     */
    @ApiModelProperty(value = "素材mediaId", name = "mediaId")
    private String mediaId;

    /**
     * 是否删除：0：正常   1：删除
     */
    @ApiModelProperty(value = "是否删除：0：正常   1：删除", name = "isDelete")
    private Integer isDelete;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", name = "update_time")
    private Date updateTime;

}
