package cn.wisenergy.model.app;

import cn.wisenergy.model.excel.converter.SexConverter;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  居民实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/2 17:35
 */
@Data
@Builder
@ApiModel(value = "Resident")
@TableName("resident")
@NoArgsConstructor
@AllArgsConstructor
@ExcelIgnoreUnannotated
public class Resident implements Serializable {
    private static final long serialVersionUID = -8605045197894970680L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id", required = true)
    private Integer id;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名", name = "name", required = true)
    @ExcelProperty(value = "姓名")
    private String name;

    /**
     * 性别  1:男  2：女
     */
    @ApiModelProperty(value = "性别  1:男  2：女", name = "sex", required = true)
    @ExcelProperty(value = "性别",converter = SexConverter.class)
    private Integer sex;

    /**
     * 手机号码
     */
    @ApiModelProperty(value = "手机号码", name = "phone", required = true)
    @ExcelProperty(value = "手机号")
    private String phone;

    /**
     * 所属街道
     */
    @ApiModelProperty(value = "所属街道", name = "street", required = true)
    @ExcelProperty(value = "所属街道")
    private String street;

    /**
     * 所属社区
     */
    @ApiModelProperty(value = "所属社区", name = "community", required = true)
    @ExcelProperty(value = "所属社区")
    private String community;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", name = "remark")
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 是否删除 0：正常 1：删除
     */
    @ApiModelProperty(value = "是否删除 0：正常 1：删除", name = "is_delete")
    private Integer isDelete;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", name = "update_time")
    private Date updateTime;
}
