package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  垃圾站实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/2 17:15
 */
@Data
@ApiModel(value = "Rubbish")
@TableName("rubbish")
public class Rubbish implements Serializable {
    private static final long serialVersionUID = 2957205708047212468L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id", required = true)
    private Integer id;

    /**
     * 垃圾站编号
     */
    @ApiModelProperty(value = "垃圾站编号", name = "rubbish_number", required = true)
    private String rubbishNumber;

    /**
     * 垃圾点名称
     */
    @ApiModelProperty(value = "垃圾点名称", name = "rubbishName")
    private String rubbishName;

    /**
     * 负责人id
     */
    @ApiModelProperty(value = "负责人id", name = "user_id")
    private Integer userId;

    /**
     * 负责人姓名
     */
    @ApiModelProperty(value = "负责人姓名", name = "userName")
    private String userName;

    /**
     * 所属街道
     */
    @ApiModelProperty(value = "所属街道", name = "street", required = true)
    private String street;

    /**
     * 所属社区
     */
    @ApiModelProperty(value = "所属社区", name = "community", required = true)
    private String community;

    /**
     * 直播时间
     */
    @ApiModelProperty(value = "直播时间", name = "live_time")
    private Integer liveTime;

    /**
     * 点播时间
     */
    @ApiModelProperty(value = "点播时间", name = "click_time")
    private Integer clickTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", name = "remark")
    private String remark;

    /**
     * 状态 ：0：再用  1：弃用
     */
    @ApiModelProperty(value = "状态 ：0：再用  1：弃用", name = "status")
    private Integer status;

    /**
     * 是否删除 0：正常 1：删除
     */
    @ApiModelProperty(value = "是否删除 0：正常 1：删除", name = "is_delete")
    private Integer isDelete;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", name = "update_time")
    private Date updateTime;

    /**
     * 垃圾站数量
     */
    @ApiModelProperty(value = "垃圾站数量", name = "count")
    @TableField(exist = false)
    private Integer count;
}
