package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 *
 */
@Data
@ApiModel
public class CameraListDto implements Serializable {

    //    /**
//     * 摄像机ids
//     */
//    @NotEmpty
//    @ApiModelProperty(value = "摄像机ids")
    private List<Integer> ids;

    /**
     * 组织树autoId
     */
    @NotBlank(message = "组织树autoId不能为空")
    @ApiModelProperty(value = "组织树autoId")
    private String autoId;

    /**
     * 登录用户autoId
     */
    @NotBlank(message = "登录用户autoId不能为空")
    @ApiModelProperty(value = "登录用户autoId")
    private String userAutoId;

    /**
     * 开始时间 时间戳
     */
    @NotNull
    @ApiModelProperty(value = "开始时间 时间戳 毫秒级")
    private Long beginTime;

    /**
     * 结束时间 时间戳
     */
    @NotNull
    @ApiModelProperty(value = "结束时间 时间戳 毫秒级")
    private Long endTime;

    /**
     * 第几页
     */
    @ApiModelProperty(value = "第几页，默认第一页")
    private Integer pageNo = 1;

    /**
     * 每页显示的数量
     */
    @ApiModelProperty(value = "每页显示的数量，默认显示9个")
    private Integer pageSize = 9;

}
