package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 *
 */
@Data
@ApiModel
public class CameraManualRecordStart implements Serializable {

    /**
     *监控点唯一标识，分页获取监控点资源接口获取返回参数cameraIndexCode
     */
    @NotBlank
    @ApiModelProperty(required = true,value = "监控点唯一标识")
    private String cameraIndexCode;

    /**
     *录像类型：
     * 范围:0-65535，参考附录A.31 录像类型，中心存储必填，设备存储不传入
     */
    @ApiModelProperty(value = "录像类型，可以不用传这个参数")
    private Integer recordType;

    /**
     *下发的存储类型。0-中心存储 1-设备存储。如果不传入，默认为0-中心存储
     */
    @ApiModelProperty(value ="下发的存储类型，0-中心存储 1-设备存储。如果不传入，默认为0-中心存储" )
    private Integer type;
}
