package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 停止手动录像
 */
@Data
@ApiModel
public class CameraManualRecordStop implements Serializable {

    /**
     * 监控点唯一标识，分页获取监控点资源接口获取返回参数cameraIndexCode
     */
    @NotBlank
    @ApiModelProperty(required = true,value = "监控点唯一标识")
    private String cameraIndexCode;

    /**
     * 手动录像编号，从开始手动录像接口获取返回参数taskID
     */
    @ApiModelProperty(value = "手动录像编号，从开始手动录像接口获取返回参数taskID")
    private String taskID;

    /**
     * 下发的存储类型,0-中心存储 1-设备存储
     * 如果不传入，默认为0-中心存储
     */
    @ApiModelProperty(value = "下发的存储类型,0-中心存储 1-设备存储,如果不传入，默认为0-中心存储")
    private Integer type;
}
