package cn.wisenergy.model.dto;

import lombok.Data;

/**
 * 获取监控点在线状态参数封装
 */
@Data
public class CameraOnlineStatus {

    /**
     * 区域id；
     * 可通过区域信息接口获取获取返回参数indexCode
     */
    private String regionId;
    /**
     * 是否包含下级区域中的资源数据，1包含，0不包含（若regionId为空，则该参数不起作用）
     */
    private String includeSubNode;
    /**
     * 监控点编号列表，最大500，
     * 可通过查询监控点列表v2获取返回参数indexCode
     */
    private String[] indexCodes;
    /**
     * 状态，1-在线，0-离线，-1-未检测
     */
    private String status;
    /**
     * 范围 ( 0 , ~ )，不填默认为1
     */
    private String pageNo;
    /**
     * 范围 ( 0 , 1000 ]，不填默认为10
     */
    private String pageSize;
}
