package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * 分页获取监控点资源  参数封装
 */
@Data
@ApiModel
public class CameraPage implements Serializable {

    /**
     * 范围 ( 0 , ~ )，若是范围内数字超过实际最大页码值，返回最后一页记录
     * 注：0 < pageNo
     */
    @Min(value = 1)
    @ApiModelProperty(value = "注：0 < pageNo")
    private Integer pageNo = 1;

    /**
     * 范围 ( 0 , 1000 ]
     * 注：0 < pageSize≤1000
     */
    @ApiModelProperty(value = "注：0 < pageSize≤1000")
    private Integer pageSize = 1000;
}
