package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class CameraPreviewUrls {

    /**
     * 监控点唯一标识
     */
    @NotBlank
    @ApiModelProperty(value = "监控点唯一标识",required = true)
    private String cameraIndexCode;

    /**
     * 码流类型，0:主码流
     * 1:子码流
     * 2:第三码流
     * 参数不填，默认为主码流
     */
    @ApiModelProperty(value = "码流类型，0:主码流,1:子码流，2:第三码流,参数不填，默认为主码流")
    private Integer streamType;

    /**
     * 取流协议（应用层协议），
     * “hik”:HIK私有协议，使用视频SDK进行播放时，传入此类型；
     * “rtsp”:RTSP协议；
     * “rtmp”:RTMP协议；
     * “hls”:HLS协议（HLS协议只支持海康SDK协议、EHOME协议、ONVIF协议接入的设备；只支持H264视频编码和AAC音频编码）。
     * 参数不填，默认为HIK协议
     */
    @ApiModelProperty(value = "取流协议",notes = "hik、rtsp、rtmp、hls")
    private String protocol;

    /**
     *传输协议（传输层协议），0:UDP
     * 1:TCP
     * 默认是TCP
     * 注：GB28181 2011及以前版本只支持UDP传输
     */
    @ApiModelProperty(value = "传输协议（传输层协议），0:UDP， 1:TCP,默认是TCP")
    private Integer transmode;
}
