package cn.wisenergy.model.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 *
 */
@Data
public class CameraRegionsSubRegions implements Serializable {

    /**
     * 父区域编号，当指定parentIndexCode为-1时，表示查询根节点信息； 分页获取区域列表接口可以获取
     */
    @NotBlank
    private String parentIndexCode;

    /**
     * 查询资源的类型，传region时查询的为用户有配置权限的区域树，
     * 传资源类型如：camera、encodeDevice查询用户对该类资源有权限的区域树；
     */
    @NotBlank
    private String resourceType;
    /**
     * 当前页码；pageNo≥1
     */
    @Min(value = 1)
    private Integer pageNo;
    /**
     * 分页大小；0<pageSize≤1000
     */
    @Max(value = 1000)
    private Integer pageSize;

    /**
     * 级联标识，默认0
     * 0: 全部，
     * 1: 本级，
     * 2: 级联
     */
    private Integer cascadeFlag;
}
