package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 *
 */
@Data
public class CameraTalkURLs implements Serializable {

    /**
     * 监控点唯一标识，
     * 可通过分页获取监控点资源获取
     */
    @NotBlank
    @ApiModelProperty(value = "监控点唯一标识",required = true)
    private String cameraIndexCode;

    /**
     * 协议类型,
     * 0: UDP
     * 1: TCP
     * 未填默认为TCP
     */
    @ApiModelProperty(value = "协议类型，0: UDP, 1: TCP，未填默认为TCP")
    private Integer transmode;


}
