package cn.wisenergy.model.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 根据区域编号获取下级监控点列表
 */
@Data
public class CamerasRegionIndexCode implements Serializable {

    /**
     * 区域编号唯一标识；
     * 可通过区域信息接口获取
     */
    private String regionIndexCode;
    /**
     * 当前页码
     * 范围 ( 0 , ~ )，若是范围内数字超过实际最大页码值，返回最后一页记录
     * 注：0 < pageNo
     */
    private Integer pageNo;
    /**
     * 分页大小
     * 范围 ( 0 , 1000 ]
     * 注：0 < pageSize≤1000
     */
    private Integer pageSize;
}
