package cn.wisenergy.model.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 获取编码设备在线状态
 */
@Data
public class EncodeDeviceOnlineStatus implements Serializable {
    /**
     * 区域id；
     * 可通过区域信息接口获取
     */
    private String regionId;
    /**
     * 设备ip
     */
    private String ip;
    /**
     * 编码列表，最大500，
     * 可通过查询编码设备列表v2获取返回参数indexCode
     */
    private String indexCodes;
    /**
     * 状态，1-在线，0-离线，-1-未检测
     */
    private String status;
    /**
     * 范围 ( 0 , ~ )，不填默认为1
     */
    private Integer pageNo;
    /**
     * 范围 ( 0 , 1000 ]，不填默认为10
     */
    private Integer pageSize;
    /**
     * 是否包含下级区域中的资源数据，1包含，0不包含（若regionId为空，则该参数不起作用）
     */
    private String includeSubNode;


}
