package cn.wisenergy.model.vo;

import cn.wisenergy.model.app.AccountUsers;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ Description   :  派单请求Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/10 14:25
 */
@Data
@ApiModel(value = "SendQuestVo")
public class SendQuestVo implements Serializable {
    private static final long serialVersionUID = -3384629878911745184L;
    /**
     * 摄像机编号
     */
    @ApiModelProperty(value = "摄像机编号", name = "cameraNumber", required = true)
    private String cameraNumber;

    /**
     * 接单人信息
     */
    @ApiModelProperty(value = "接单人信息", name = "accountUsers", required = true)
    private List<AccountUsers> accountUsers;

    /**
     * 督察员（登录用户的autoId）
     */
    @ApiModelProperty(value = "督察员（登录用户的autoId）", name = "autoId")
    private String autoId;

    /**
     * 接单人姓名
     */
    @ApiModelProperty(value = "接单人姓名", name = "receiveName", required = true)
    private String receiveName;
    /**
     * 接单人电话
     */
    @ApiModelProperty(value = "接单人电话", name = "phone")
    private String receivePhone;

    /**
     * 上传图片1
     */
    @ApiModelProperty(value = "上传图片1", name = "imageOne")
    private String imageOne;
    /**
     * 上传图片2
     */
    @ApiModelProperty(value = "上传图片2", name = "imageTwo")
    private String imageTwo;
    /**
     * 上传图片3
     */
    @ApiModelProperty(value = "上传图片3", name = "imageThree")
    private String imageThree;

    /**
     * 上传视频
     */
    @ApiModelProperty(value = "上传视频", name = "uploadVideo")
    private String uploadVideo;

    /**
     * 服务需求
     */
    @ApiModelProperty(value = "服务需求", name = "serviceNeed", required = true)
    private String serviceNeed;

    /**
     * 公告
     */
    @ApiModelProperty(value = "公告", name = "serviceNeed", required = true)
    private String notice;

    /**
     * 派单类型 0：远程值守派单 1：督查中心派单
     */
    @ApiModelProperty(value = "派单类型 0：远程值守派单 1：督查中心派单", name = "sendType", required = true)
    private Integer sendType;
}
