package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  微信公众号调用添加消息接口请求参数封装
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/1 15:47
 */
@Data
@ApiModel(value = "WxRequestVo")
public class WxRequestVo implements Serializable {

    private static final long serialVersionUID = -3124321317129727905L;
    /**
     * 标题
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String title;

    /**
     * 图文消息的封面图片素材id（必须是永久 media_ID）
     */
    @ApiModelProperty(value = "", name="",required = true)
    private String thumb_media_id;

    /**
     * 作者
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String authod;

    /**
     * 图文消息的摘要，仅有单图文消息才有摘要，多图文此处为空
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String  digest;

    /**
     * 是否显示封面，0为false，即不显示，1为true，即显示
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String show_cover_pic;

    /**
     * 图文消息的具体内容，支持HTML标签，必须少于2万字符，小于1M，且此处会去除JS
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String content;

    /**
     * 图文消息的原文地址，即点击“阅读原文”后的URL
     */
    @ApiModelProperty(value = "",name="",required = true)
    private String  content_source_url;

    /**
     * 是否打开评论，0不打开，1打开
     */
    @ApiModelProperty(value = "",name="")
    private Integer need_open_comment;

    /**
     * 是否粉丝才可评论，0所有人可评论，1粉丝才可评论
     */
    @ApiModelProperty(value = "",name="")
    private Integer only_fans_can_comment;


}
