package cn.wisenergy.service.app;

import cn.wisenergy.model.app.FfmpegBackRecord;
import cn.wisenergy.model.dto.FfmpegBackRecordDto;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 *
 */
public interface IFfmpegBackRecordService extends IService<FfmpegBackRecord> {


    /**
     * 根据摄像机id查询 摄像机详细信息 包括回放记录
     * camera表联查FfmpegBackRecord
     *
     * @param id 摄像机id
     * @return
     */
    FfmpegBackRecordDto getDetailByCameraId(Integer id);


    /**
     * 条件查询 获取一条数据
     *
     * @param cameraId  摄像机id
     * @param BeginTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    FfmpegBackRecord getOneByCondition(Integer cameraId, Long BeginTime, Long endTime);


    /**
     * 根据通道名称 更新字段状态
     *
     * @param channelName 拼接的任务id
     */
    void changeStatusByChannelName(String channelName,int status);
}
