package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.Resident;
import cn.wisenergy.model.vo.ResidentQueryVo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface ResidentService extends IService<Resident> {

    R<Resident> add(Resident resident);

    R<Boolean> edit(Resident resident);

    R<Boolean> delete(Integer id);

    R<PageInfo<Resident>> getList(ResidentQueryVo residentQueryVo);

    /**
     * Excel批量添加社区居民
     *
     * @param file
     * @return
     */
    void excelAdd(MultipartFile file, HttpServletResponse response) throws IOException;

    /**
     * 批量添加社区居民Excel模板
     *
     * @param response
     */
    void excelTemplate(HttpServletResponse response) throws IOException;

    Resident getByPhone(String phone);
}
