package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.vo.*;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;

import java.util.List;


/**
 * @ Description   :  派单接口定义
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/5 15:28
 */

public interface SendOrderService {

    /**
     * 派单
     *
     * @param sendQuestVo 派单信息
     * @return true 成功 false 失败
     */
    R<JSONObject> sendOrder(SendQuestVo sendQuestVo);

    /**
     * 接单
     *
     * @param receiveOrderVo 接单请求参数
     * @return true 成功 false 失败
     */
    R<JSONObject> receiveOrder(ReceiveOrderVo receiveOrderVo);

    /**
     * 订单列表分页查询
     *
     * @param orderQueryVo 筛选条件
     * @return 结果集
     */
    R<PageInfo<SendOrderVo>> getPage(OrderQueryVo orderQueryVo);

    /**
     * 获取派单详情
     *
     * @param autoId 编号
     * @return 详情
     */
    R<OrderDetailVo> getDetail(String autoId);

    /**
     * 派单反馈
     *
     * @param autoId 编号
     * @return 反馈信息
     */
    R<OrderBlackVo> orderBlack(String autoId);


    /**
     * 获取接单列表
     *
     * @param receiveQuestVo
     * @return
     */
    R<PageInfo<ReceiveOrderResponse>> getList(ReceiveQuestVo receiveQuestVo);

    /**
     * 获取接单详情
     *
     * @param autoId 接单id
     * @return 详情
     */
    R<ReceiveOrderDetailVo> getReceiveDetail(String autoId);
}
