package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.AccountOrganization;
import cn.wisenergy.model.vo.StreetQueryVo;
import cn.wisenergy.model.vo.StreetShowVo;
import cn.wisenergy.model.vo.StreetVo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface StreetService extends IService<AccountOrganization> {

    R<PageInfo<StreetShowVo>> getList(StreetQueryVo streetQueryVo);

    /**
     * 获取街道树结构
     * @return 街道树结构
     */
    R<List<StreetVo>>  getTree();

    /**
     * 获取所有街道信息
     * @return
     */
    R<List<StreetVo>> getAllStreet();

    /**
     * 获取社区信息
     * @param autoId  街道id
     * @return
     */
    R<List<StreetVo>> getByStreetId(String autoId);

    R<List<StreetVo>> getUserTree(String autoId);
}
