package cn.wisenergy.service.app.impl;

import cn.wisenergy.mapper.FfmpegBackRecordMapper;
import cn.wisenergy.model.app.FfmpegBackRecord;
import cn.wisenergy.model.dto.FfmpegBackRecordDto;
import cn.wisenergy.service.app.IFfmpegBackRecordService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 */
@Service
public class FfmpegBackRecordServiceImpl extends ServiceImpl<FfmpegBackRecordMapper,
        FfmpegBackRecord> implements IFfmpegBackRecordService {


    @Autowired
    FfmpegBackRecordMapper ffmpegBackRecordMapper;


    /**
     * 根据摄像机id查询 摄像机详细信息 包括回放记录
     * camera表联查FfmpegBackRecord
     *
     * @param id 摄像机id
     * @return
     */
    public FfmpegBackRecordDto getDetailByCameraId(Integer id) {

        FfmpegBackRecordDto recordDto = ffmpegBackRecordMapper.getDetailByCameraId(id);
        return recordDto;
    }

    /**
     * 条件查询 获取一条数据
     *
     * @param cameraId  摄像机id
     * @param BeginTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    @Override
    public FfmpegBackRecord getOneByCondition(Integer cameraId, Long BeginTime, Long endTime) {

        QueryWrapper<FfmpegBackRecord> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("camear_id", cameraId)
                .eq("begin_time", BeginTime)
                .eq("end_time", endTime);

        FfmpegBackRecord one = this.getOne(queryWrapper, false);
        return one;
    }

    /**
     * 根据通道名称 更新字段状态
     *
     * @param channelName 拼接的任务id
     */
    @Override
    public void changeStatusByChannelName(String channelName,int status) {

        UpdateWrapper<FfmpegBackRecord> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", status)
                .eq("channel_name", channelName);
        //根据条件更新
        this.update(updateWrapper);
    }
}
