package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.dto.CameraOnlineStatus;
import cn.wisenergy.model.dto.CameraPage;
import cn.wisenergy.model.vo.AccessToken;
import cn.wisenergy.model.vo.NewMessageVo;
import cn.wisenergy.model.vo.OnlineVo;
import cn.wisenergy.service.ICameraApiService;
import cn.wisenergy.service.app.ISiteWatchOverService;
import cn.wisenergy.service.app.NewContentService;
import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.client.RestTemplate;

import java.util.Date;
import java.util.List;

@RestController
@RequestMapping("/test")
@Api(tags = "测试接口")
public class TestController {

    @Autowired
    private RestTemplate restTemplate;

    @Autowired
    ICameraApiService cameraApiService;

    @Autowired
    private ISiteWatchOverService siteWatchOverService;

    @Autowired
    private NewContentService newContentService;


    @PostMapping("/hello")
    public R test1(@RequestBody CameraPage page) {
        R<Object> cameras = cameraApiService.cameras(page);
        return cameras;
    }

    @ApiOperation(value = "添加图文消息", notes = "添加图文消息", httpMethod = "POST")
    @ApiImplicitParam(name = "messageVo", value = "图文消息", dataType = "NewMessageVo")
    @PostMapping("/addNew")
    public Object addNew(@RequestBody NewMessageVo messageVo) {
        if (null == messageVo) {
            return R.error("操作错误");
        }
        AccessToken token = newContentService.getToken();
        if (StringUtils.isNotEmpty(token.getErrcode())) {
            return R.error("token无效!");
        }
        return newContentService.addNew(messageVo, token.getAccess_token());
    }


    @ApiOperation(value = "修改图文消息", notes = "修改图文消息", httpMethod = "POST")
    @ApiImplicitParam(name = "messageVo", value = "图文消息", dataType = "NewMessageVo")
    @PostMapping("/updateNew")
    public Object updateNew(@RequestBody NewMessageVo messageVo) {
        if (null == messageVo) {
            return R.error("操作错误");
        }
        AccessToken token = newContentService.getToken();
        if (StringUtils.isNotEmpty(token.getErrcode())) {
            return R.error("token无效!");
        }
        return newContentService.updateMaterial(messageVo, token.getAccess_token());
    }

}