package cn.wisenergy.web.admin.controller.app.schedule;

import cn.wisenergy.model.app.Camera;
import cn.wisenergy.service.app.CameraService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 相机列表持有者
 */
@Data
@Component
public class CameraHolder {

    public static List<Camera> cameras;

    private boolean isLoad = false;

    @Autowired
    CameraService cameraService;

    public void init() {
        QueryWrapper<Camera> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("is_delete", 0);
        List<Camera> list = cameraService.list(queryWrapper);
        //
        List<Camera> haveIpInfos = list.stream().filter(c -> c.getIp() != null && c.getUsername() != null && c.getPassword() != null).collect(Collectors.toList());
        cameras = haveIpInfos;
        isLoad = true;
    }


}
